Foxit PDF SDK

Instance Methods | Properties | List of all members
FSDialogDescriptionConfig Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithDlg_des_config:
| Constructor, with another dialog description config object. More...
(void) | - set:first_tab:width:height:char_width:char_height:align_children:element_array:
| Set values. More...

## Properties
NSString * | align_children
| The alignment for all descendants.
int | char_height
| The height of the dialog box in characters. More...
int | char_width
| The width of the dialog box in characters. More...
FSDialogDescriptionElementArray * | element_array
| An array of dialog description element array object.
NSString * | first_tab
| An ItemID for the dialog box item that should be first in the tab order. More...
int | height
| The height of the dialog box in pixels. More...
NSString * | name
| The title bar of the dialog box.
int | width
| The width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

## Method Documentation

## ◆ initWithDlg_des_config:()

- (id) initWithDlg_des_config: |  | (FSDialogDescriptionConfig*) | dlg_des_config |

Constructor, with another dialog description config object.

Parameters

  [in] | dlg_des_config | Another dialog description config object.

## ◆ set:first_tab:width:height:char_width:char_height:align_children:element_array:()

- (void) set: |  | (NSString *) | name
first_tab: |  | (NSString *) | first_tab
width: |  | (int) | width
height: |  | (int) | height
char_width: |  | (int) | char_width
char_height: |  | (int) | char_height
align_children: |  | (NSString *) | align_children
element_array: |  | (FSDialogDescriptionElementArray*) | element_array

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

## Property Documentation

## ◆ char_height

- (int) char_height
| read write nonatomic assign

The height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

- (int) char_width
| read write nonatomic assign

The width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

## ◆ first_tab

- (NSString *) first_tab
| read write nonatomic weak

An ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

## ◆ height

- (int) height
| read write nonatomic assign

The height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

- (int) width
| read write nonatomic assign

The width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.